Status: Needs design   
Assignee:    

Category:    
Pull request:    

Description

To integrate Foreman GUI interface with Hiera (http://www.devco.net/archives/2011/06/11/puppet_backend_for_hiera_part_2.php).

Hiera could provide unlimited levels of parameters/classes, while current Foreman ENC only supports 4 or 5 levels. It would be ideal

to have Foreman GUI tightly integrated with Hiera.

History

#1 - 06/13/2011 04:36 PM - Ohad Levy

- Priority changed from High to Normal

we actually spent some time a few days ago to understand how complex would it be for foreman to act as that data source entirely.

we also want to solve #322 in the same process.

We have a few ideas of how to proceed, and I would hope we could do some prototype work in the upcoming weeks.

#2 - 10/20/2011 02:09 PM - Ohad Levy

- Project changed from Installer to Foreman

#3 - 10/18/2013 08:31 AM - Benjamin Papillon

- Status changed from New to Feedback

Hello,

There are plugins that may help you with that:

https://github.com/domcleal/foreman_param_lookup

https://github.com/domcleal/foreman_data_binding

Can you have a look and give us feedback?

Regards,

Benjamin Papillon

#4 - 05/17/2017 10:37 AM - Anonymous

- Status changed from Feedback to Needs design

this is still a thing, IMHO
